'From Squeak3.1alpha of 7 March 2001 [latest update: #4282] on 27 August 2001 at 6:53:18 pm'!
PackagePaneBrowser removeSelector: #defaultBackgroundColor!
!Preferences class methodsFor: 'window colors'!
installBrightWindowColors
	"Preferences installBrightWindowColors"
	| windowColorDict |
	(Parameters includesKey: #windowColors) ifFalse:
		[Parameters at: #windowColors put: IdentityDictionary new].
	windowColorDict _ Parameters at: #windowColors.

	#(	(Browser				lightGreen)
		(ChangeList				lightBlue)
		(ChangeSorter			lightBlue)
		(Debugger				lightRed)
		(DualChangeSorter		lightBlue)
		(FileContentsBrowser		tan)
		(FileList					lightMagenta)
		(MessageSet				lightBlue)
		(Object					white)
		(PackagePaneBrowser	yellow)
		(SelectorBrowser			lightCyan)
		(StringHolder			lightYellow)
		(TranscriptStream		lightOrange))
	
	do:
			[:pair |
				windowColorDict at: pair first put: (Color perform: pair last)]
! !
!Preferences class methodsFor: 'window colors'!
installPastelWindowColors
	"Preferences installPastelWindowColors"
	| windowColorDict |
	(Parameters includesKey: #windowColors) ifFalse:
		[Parameters at: #windowColors put: IdentityDictionary new].
	windowColorDict _ Parameters at: #windowColors.

	#(	(Browser				paleGreen)
		(ChangeList				paleBlue)
		(ChangeSorter			paleBlue)
		(Debugger				veryPaleRed)
		(DualChangeSorter		paleBlue)
		(FileContentsBrowser		paleTan)
		(FileList					paleMagenta)
		(MessageSet				paleBlue)
		(Object					white)
		(PackagePaneBrowser	lightYellow)
		(SelectorBrowser			palePeach)
		(StringHolder			paleYellow)
		(TranscriptStream		paleOrange))

	do:
			[:pair |
				windowColorDict at: pair first put: (Color perform: pair last)]
! !
!Preferences class methodsFor: 'window colors'!
installUniformWindowColors
	"Preferences installUniformWindowColors"
	| windowColorDict |
	(Parameters includesKey: #windowColors) ifFalse:
		[Parameters at: #windowColors put: IdentityDictionary new].
	windowColorDict _ Parameters at: #windowColors.

	#(	(Browser				white)
		(ChangeList				white)
		(ChangeSorter			white)
		(Debugger				white)
		(DualChangeSorter		white)
		(FileContentsBrowser		white)
		(FileList					white)
		(MessageSet				white)
		(Object					white)
		(PackagePaneBrowser	white)
		(SelectorBrowser			white)
		(StringHolder			white)
		(TranscriptStream		white))

	do:
			[:pair |
				windowColorDict at: pair first put: (Color perform: pair last)]
! !
!Preferences class methodsFor: 'window colors'!
windowColorClasses
	^ #(Browser	 ChangeList	 ChangeSorter Debugger	 DualChangeSorter FileContentsBrowser	 FileList	MessageSet PackagePaneBrowser SelectorBrowser StringHolder TranscriptStream)! !
Preferences installBrightWindowColors!
